<!DOCTYPE html>
<html lang="en-US">
<head>
    <title>ClearID</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,600&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css">
    <link rel="stylesheet" href="css/bootstrap.min.css" />
    <link rel="stylesheet" href="toast/jquery.toast.min.css" />
    <link rel="stylesheet" href="css/popup.css" />
    
</head>
<body>
    <div class="main-wrapper">
        <header class="main-header">
            <div class="row align-items-center">
                <div class="col">
                    <div class="header-left"><button class="new_tab_link" title="Pop out to a new window"><img src="images/external-link.png"></button></div>
                </div>
                <div class="col-8">
                    <div class="header-middle"><strong>Password Importer</strong></div>
                </div>
                <div class="col">
                    <!-- <div class="header-right"><button class="btn-back">Save</button></div> -->
                </div>
            </div>
        </header>

        <div class="mid-content">
            <div class="from-block">
                <div appselectcopy="" class="from-app-wrapper">
                    <div class="border-round"><div class="border-round-in"></div></div>
                    <span class="float-left" style="margin-left: 16pt; margin-right: 8pt">Import Passwords From:</span>
                    <select id="ddlAppSelect" class="form-control">
                        <option value="lastpass">LastPass</option>
                        <option value="chrome">Google Chrome</option>
<<<<<<< HEAD
                        <option value="1pass">1Password</option>
=======
                        <option value="1password">1Password</option>
>>>>>>> 5ad3d2f2d1d01666012deb0a3f49be86fe99ba8f
                    </select>
                    <div class="bottom-border-round"><div class="bottom-border-round-in"></div></div>
                </div>
            </div>

            <div class="repeat-bx">
                <div class="repeat-bx-header">
                    <h2>IMPORT OPTIONS</h2>
                <div class="clear"></div>
                </div>
                <div class="border-round"><div class="border-round-in"></div></div>
                <div id="options-repeater" class="repeat-bx-content">                    
                    
                </div>
                <div class="bottom-border-round"><div class="bottom-border-round-in"></div></div>
            </div>

            <div class="raw-data-block">
                <div class="repeat-bx-header">
                    <h2>INSTRUCTIONS</h2>                   
                    <div class="clear"></div>
                    <div appselectcopy="" class="raw-data-wrapper">
                        <ul id="ulInstructions">
                        </ul>
                        <span class="mb-2" style="display: inline-block;">Note: your unencrypted password data is never sent anywhere; it stays right here on your computer.</span>
                        <div class="clear"></div>

                        <textarea id="txtRawData" name="txtRawData" class="form-control"></textarea>
                        <input type="file" id="fileRawData" name="files[]" />                        
                    </div>
                </div>
                <div class="progress mb-3" id="progressContainer">
                        <div id="progressBar" class="progress-bar bg-success progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                    </div>
                <div class="padding-div">
                    
                    <button type="button" id="btnImport" name="btnImport" 
                        class="btn btn-primary">Import Password Data</button>
                    <button type="button" id="btnCancel" name="btnCancel" 
                        class="btn btn-primary btn-danger">Cancel Import</button>
                </div>

                
            </div>
        </div>
        <div class="btm-menu-bar">
            <ul>
                <li><a href="popup.html" class="tab">Tab</a></li>
                <li><a href="my-vault-page.html" class="vault">My Vault</a></li>
                <li class="active"><a href="password-generator.html" class="generator">Generator</a></li>
                <li><a href="setting-page.html" class="setting">Settings</a></li>
            </ul>
        </div>
    </div>
	
	<!-- jQuery library & Other JavaScript Imported Script -->
    <!-- jQuery library & Other JavaScript Imported Script -->
    <script src="js/jquery.js"></script>
    <script src="js/jquery-csv.min.js"></script>
    <script src="toast/jquery.toast.min.js"></script>
    <script src="js/base58.js"></script>
    <script crossorigin src="https://unpkg.com/@msgpack/msgpack"></script>
    <script src="js/sodium.js" async></script>
    <script src="js/sodium-page.js"></script>
    <script src="js/script.js"></script>
    <script src="js/my_vault.js"></script>
    <script src="js/importer.js"></script>
</body>
</html>